MetalToolTipUI (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalToolTipUI
Keywords: javax.swing.plaf.metal.MetalToolTipUI class

# Class MetalToolTipUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ToolTipUI
javax.swing.plaf.basic.BasicToolTipUI
javax.swing.plaf.metal.MetalToolTipUI

public class MetalToolTipUI extends BasicToolTipUI
A Metal L&F extension of BasicToolTipUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `padSpaceBetweenStrings`
  The space between strings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalToolTipUI()`
  Constructs an instance of the `MetalToolTipUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Returns an instance of the `MetalToolTipUI`.
  `String`
  `getAcceleratorString()`
  Returns the accelerator string.
  `protected boolean`
  `isAcceleratorHidden()`
  If the accelerator is hidden, the method returns `true`, otherwise, returns `false`.

  ### Methods declared in class javax.swing.plaf.basic.BasicToolTipUI

  `installDefaults, installListeners, uninstallDefaults, uninstallListeners`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### padSpaceBetweenStrings

    public static final int padSpaceBetweenStrings
    The space between strings.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MetalToolTipUI

    public MetalToolTipUI()
    Constructs an instance of the `MetalToolTipUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Returns an instance of the `MetalToolTipUI`.
    Parameters:
      `c` - a component
    Returns:
      an instance of the `MetalToolTipUI`.

  - ### isAcceleratorHidden

    protected boolean isAcceleratorHidden()
    If the accelerator is hidden, the method returns `true`, otherwise, returns `false`.
    Returns:
      `true` if the accelerator is hidden.

  - ### getAcceleratorString

    public String getAcceleratorString()
    Returns the accelerator string.
    Returns:
      the accelerator string.